/***
 * Copyright (c) 2009 Caelum - www.caelum.com.br/opensource
 * All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 */

package br.com.caelum.vraptor.http.route;

import javax.enterprise.inject.Vetoed;

import br.com.caelum.vraptor.VRaptorException;

/**
 * Illegal routes might be created under different situations. THe most common
 * is to invoke the is() method but forgetting to invoke the attached method.
 *
 * @author guilherme silveira
 */
@Vetoed
public class IllegalRouteException extends VRaptorException {

	private static final long serialVersionUID = -3854707059890751018L;

	public IllegalRouteException(String msg) {
		super(msg);
	}

}
